Bug 124721 - upgrade ports/devel/newt to use libslang2 instead of libslang
Summary: upgrade ports/devel/newt to use libslang2 instead of libslang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-06-18 16:00 UTC by Kurt Jaeger
Modified: 2008-06-20 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (385 bytes, patch)
2008-06-18 16:00 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2008-06-18 16:00:03 UTC
ports/net/asterisk and ports/misc/zaptel depend on ports/devel/libslang2,
ports/misc/mc depends on ports/devel/newt, which currently depends on ports/devel/libslang.

So one can't have mc and asterisk in parallel.

devel/newt compiles if the dependecy is changed to devel/libslang2.

So I suggest to update the port. I tested mc and it works with libslang2,
as well.

Fix: Update devel/newt to use libslang2, as described in the patch.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2008-06-18 16:00:15 UTC
Maintainer of devel/newt,

Please note that PR ports/124721 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/124721

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-06-18 16:00:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Philip M. Gollucci 2008-06-19 02:03:14 UTC
Approved.

I'll make a sweep of the ports/ tree sometime soon to see if we can 
update everything to libslang2 and obsolete v1.

Please assign PR back to araujo@

Thx.

Notes for committer:

Don't forget to bump PORTREVSION for the pkg builds.


-- 
------------------------------------------------------------------------
Philip M. Gollucci (philip@ridecharge.com)
o:703.549.2050x206
Senior System Admin - Riderway, Inc.
http://riderway.com / http://ridecharge.com
1024D/DB9B8C1C B90B FBC3 A3A1 C71A 8E70  3F8C 75B8 8FFB DB9B 8C1C

Work like you don't need the money,
love like you'll never get hurt,
and dance like nobody's watching.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-06-19 22:20:30 UTC
State Changed
From-To: feedback->open

Approved by pgollucci, who suggests reassinging it to araujo. 


Comment 5 Mark Linimon freebsd_committer freebsd_triage 2008-06-19 22:20:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo
Comment 6 dfilter service freebsd_committer 2008-06-20 12:51:30 UTC
araujo      2008-06-20 11:51:24 UTC

  FreeBSD ports repository

  Modified files:
    devel/newt           Makefile 
  Log:
  - From now on use libslang2 instead of libslang.
  - Bump PORTREVISION.
  
  PR:             ports/124721
  Submitted by:   Kurt Jaeger <freebsd-bugs@opsec.eu>
  Approved by:    Philip M. Gollucci <pgollucci@p6m7g8.com> (maintainer)
  
  Revision  Changes    Path
  1.32      +2 -2      ports/devel/newt/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Marcelo Araujo freebsd_committer 2008-06-20 12:51:43 UTC
State Changed
From-To: open->closed

Committed. Thanks!